<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpMemSizeEntry: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpIntStore.html" title="GimpIntStore">
<link rel="next" href="GimpNumberPairEntry.html" title="GimpNumberPairEntry">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpMemsizeEntry.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpMemsizeEntry.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpMemsizeEntry.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpMemsizeEntry.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpIntStore.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpNumberPairEntry.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpMemsizeEntry"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpMemsizeEntry.top_of_page"></a>GimpMemSizeEntry</span></h2>
<p>GimpMemSizeEntry — A composite widget to enter a memory size.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-memsize-entry.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpMemsizeEntry.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpMemsizeEntry.html#gimp-memsize-entry-new" title="gimp_memsize_entry_new ()">gimp_memsize_entry_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpMemsizeEntry.html#gimp-memsize-entry-set-value" title="gimp_memsize_entry_set_value ()">gimp_memsize_entry_set_value</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#guint64"><span class="returnvalue">guint64</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpMemsizeEntry.html#gimp-memsize-entry-get-value" title="gimp_memsize_entry_get_value ()">gimp_memsize_entry_get_value</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpMemsizeEntry.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpMemsizeEntry.html#GimpMemsizeEntry-value-changed" title="The “value-changed” signal">value-changed</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpMemsizeEntry.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpMemsizeEntry.html#GimpMemsizeEntry-struct" title="GimpMemsizeEntry">GimpMemsizeEntry</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpMemsizeEntry.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> GimpMemsizeEntry
</pre>
</div>
<div class="refsect1">
<a name="GimpMemsizeEntry.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpMemsizeEntry implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpMemsizeEntry.description"></a><h2>Description</h2>
<p>Similar to a <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a> but instead of lengths, this widget is
used to let the user enter memory sizes. A combo box allows one to
switch between Kilobytes, Megabytes and Gigabytes. Used in the GIMP
preferences dialog.</p>
</div>
<div class="refsect1">
<a name="GimpMemsizeEntry.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-memsize-entry-new"></a><h3>gimp_memsize_entry_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_memsize_entry_new (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint64"><span class="type">guint64</span></a> value</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint64"><span class="type">guint64</span></a> lower</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint64"><span class="type">guint64</span></a> upper</code></em>);</pre>
<p>Creates a new <a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a> which is a <a href="../gtk2/GtkHBox.html#GtkHBox-struct"><span class="type">GtkHBox</span></a> with a <a href="../gtk2/GtkSpinButton.html#GtkSpinButton-struct"><span class="type">GtkSpinButton</span></a>
and a <a href="../gtk2/GtkOptionMenu.html#GtkOptionMenu-struct"><span class="type">GtkOptionMenu</span></a> all setup to allow the user to enter memory sizes.</p>
<div class="refsect3">
<a name="gimp-memsize-entry-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>the initial value (in Bytes)</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>the lower limit for the value (in Bytes)</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>the upper limit for the value (in Bytes)</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-memsize-entry-new.returns"></a><h4>Returns</h4>
<p> Pointer to the new <a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a>.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-memsize-entry-set-value"></a><h3>gimp_memsize_entry_set_value ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_memsize_entry_set_value (<em class="parameter"><code><a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a> *entry</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guint64"><span class="type">guint64</span></a> value</code></em>);</pre>
<p>Sets the <em class="parameter"><code>entry</code></em>
's value. Please note that the <a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a> rounds
the value to full Kilobytes.</p>
<div class="refsect3">
<a name="gimp-memsize-entry-set-value.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>entry</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>the new value (in Bytes)</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-memsize-entry-get-value"></a><h3>gimp_memsize_entry_get_value ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#guint64"><span class="returnvalue">guint64</span></a>
gimp_memsize_entry_get_value (<em class="parameter"><code><a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a> *entry</code></em>);</pre>
<p>Retrieves the current value from a <a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a>.</p>
<div class="refsect3">
<a name="gimp-memsize-entry-get-value.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>entry</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-memsize-entry-get-value.returns"></a><h4>Returns</h4>
<p> the current value of <em class="parameter"><code>entry</code></em>
(in Bytes).</p>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpMemsizeEntry.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpMemsizeEntry-struct"></a><h3>GimpMemsizeEntry</h3>
<pre class="programlisting">typedef struct _GimpMemsizeEntry GimpMemsizeEntry;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpMemsizeEntry.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpMemsizeEntry-value-changed"></a><h3>The <code class="literal">“value-changed”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpMemsizeEntry.html" title="GimpMemSizeEntry"><span class="type">GimpMemsizeEntry</span></a> *gimpmemsizeentry,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>          user_data)</pre>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>